Skip to content

CollateralService⁠

Manage collateral records.

Operations⁠

searchCollateralTrackingPagedSelectFields⁠

POST

Searches collateral tracking with pagination and selected fields.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

CollateralNumberstringoptional
Querystringoptional
Path Parameters
symstringrequired
Sym number
Tokenstringoptional
POST/nexum/{sym}/2022.01/collateral/searchCollateralTrackingPagedSelectFields
POST /nexum/627/2022.01/collateral/searchCollateralTrackingPagedSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "CollateralNumber": "string",
  "PagingRequestContext": {
    "NumberOfRecordsToReturn": 0,
    "NumberOfRecordsToSkip": 0,
    "Token": "string"
  },
  "SelectableFields": {
    "IncludeAllCollateralTrackingFields": true,
    "CollateralTrackingFields": {
      "CreationDate": true,
      "CreationTime": true,
      "ExpireDate": true,
      "FmLastDate": true,
      "Id": true,
      "IdType": true,
      "Locator": true,
      "RecordChangeDate": true,
      "TrackingCode": true,
      "Type": true,
      "UserAmount1": true,
      "UserAmount10": true,
      "UserAmount11": true,
      "UserAmount12": true,
      "UserAmount13": true,
      "UserAmount14": true,
      "UserAmount15": true,
      "UserAmount16": true,
      "UserAmount17": true,
      "UserAmount18": true
    }
  },
  "Query": "string",
  "nxAttributes": {
    "customFields": {}
  }
}

updateCollateralByID⁠

POST

Updates collateral by ID.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

CollateralNumberstringoptional
Path Parameters
symstringrequired
Sym number
POST/nexum/{sym}/2022.01/collateral/updateCollateralByID
POST /nexum/627/2022.01/collateral/updateCollateralByID HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "CollateralNumber": "string",
  "CollateralUpdatableFields": {
    "Number": "0",
    "Type": 0,
    "Description": "string",
    "CollateralOwner": "string",
    "Value": 0,
    "ValueDate": "2026-01-01"
  },
  "CollateralCollHoldUpdateRequest": [],
  "CollateralDocumentUpdateRequest": [],
  "CollateralTrackingUpdateRequest": [],
  "nxAttributes": {
    "customFields": {
      "appId": "string"
    }
  }
}

updateCollateralCollHoldByID⁠

POST

Updates collateral collateral hold by ID.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

CollateralCollHoldLocatorintegeroptional
CollateralNumberstringoptional
Path Parameters
symstringrequired
Sym number
POST/nexum/{sym}/2022.01/collateral/updateCollateralCollHoldByID
POST /nexum/627/2022.01/collateral/updateCollateralCollHoldByID HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "CollateralCollHoldLocator": 0,
  "CollateralCollHoldUpdatableFields": {
    "Number": "0",
    "Type": 0,
    "Description": "string",
    "CollateralOwner": "string",
    "Value": 0,
    "ValueDate": "2026-01-01"
  },
  "CollateralNumber": "string",
  "nxAttributes": {
    "customFields": {
      "appId": "string"
    }
  }
}

updateCollateralDocumentByID⁠

POST

Updates collateral document by ID.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

CollateralDocumentLocatorintegeroptional
CollateralNumberstringoptional
Path Parameters
symstringrequired
Sym number
POST/nexum/{sym}/2022.01/collateral/updateCollateralDocumentByID
POST /nexum/627/2022.01/collateral/updateCollateralDocumentByID HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "CollateralDocumentLocator": 0,
  "CollateralDocumentUpdatableFields": {
    "Number": "0",
    "Type": 0,
    "Description": "string",
    "CollateralOwner": "string",
    "Value": 0,
    "ValueDate": "2026-01-01"
  },
  "CollateralDocumentTrackingUpdateRequest": [],
  "CollateralNumber": "string",
  "nxAttributes": {
    "customFields": {
      "appId": "string"
    }
  }
}

updateCollateralDocumentTrackingByID⁠

POST

Updates collateral document tracking by ID.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

CollateralDocumentTrackingLocatorintegeroptional
CollateralNumberstringoptional
CollateralDocumentLocatorintegeroptional
Path Parameters
symstringrequired
Sym number
POST/nexum/{sym}/2022.01/collateral/updateCollateralDocumentTrackingByID
POST /nexum/627/2022.01/collateral/updateCollateralDocumentTrackingByID HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "CollateralDocumentTrackingLocator": 0,
  "CollateralDocumentTrackingUpdatableFields": {
    "Number": "0",
    "Type": 0,
    "Description": "string",
    "CollateralOwner": "string",
    "Value": 0,
    "ValueDate": "2026-01-01"
  },
  "CollateralNumber": "string",
  "CollateralDocumentLocator": 0,
  "nxAttributes": {
    "customFields": {
      "appId": "string"
    }
  }
}

updateCollateralTrackingByID⁠

POST

Updates collateral tracking by ID.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

CollateralTrackingLocatorintegeroptional
CollateralNumberstringoptional
Path Parameters
symstringrequired
Sym number
POST/nexum/{sym}/2022.01/collateral/updateCollateralTrackingByID
POST /nexum/627/2022.01/collateral/updateCollateralTrackingByID HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "CollateralTrackingLocator": 0,
  "CollateralTrackingUpdatableFields": {
    "Number": "0",
    "Type": 0,
    "Description": "string",
    "CollateralOwner": "string",
    "Value": 0,
    "ValueDate": "2026-01-01"
  },
  "CollateralNumber": "string",
  "nxAttributes": {
    "customFields": {
      "appId": "string"
    }
  }
}